# List port-in orders

Retrieve a list of port-in based on the search parameters, you can also specify view here to get less detail

Endpoint: GET /orders/portIns
Version: 1.0
Security: basicAuth, bearerAuth

## Query parameters:

  - `orderId` (number)
    Search by the ID of the order.

  - `orderStatus` (string)
    Search by the status of the order.
    Enum: "PENDING", "CONFIRMED", "COMPLETED", "CANCELED"

  - `customerOrderReference` (string)
    The reference you specified when creating the order.

  - `createdDateStart` (string)
    Search by the created date. This query sets the start date of the search period. Formatted as ISO-8601: YYYY-MM-DDThh:mm:ss.SSSZ.
    Example: "2024-09-24T12:00:00Z"

  - `createdDateEnd` (string)
    Search by the created date. This query sets the end date of the search period. Formatted as ISO-8601: YYYY-MM-DDThh:mm:ss.SSSZ.
    Example: "2024-09-24T12:00:00Z"

  - `phoneNumber` (string)
    Search by a phone number.

  - `focStartDate` (string)
    Search by the firm order confirmation. This query sets the start date of the search period. Formatted as ISO-8601: YYYY-MM-DDThh:mm:ss.SSSZ.
    Example: "2024-09-24T12:00:00Z"

  - `focEndDate` (string)
    Search by the firm order confirmation. This query sets the end date of the search period. Formatted as ISO-8601: YYYY-MM-DDThh:mm:ss.SSSZ.
    Example: "2024-09-24T12:00:00Z"

  - `pageSize` (integer)
    The maximum number of items to return per request. The default is 100 and the maximum is 1000. If you need to export larger amounts and pagination is not suitable for you can use the Export function in the dashboard.

  - `page` (string)
    The page you want to retrieve returned from a previous List request, if any

## Response 200 fields (application/json):

  - `orders` (array)

  - `orders.id` (number)
    The unique identifier for the order
    Example: 890192331

  - `orders.status` (string)
    The current status of the port order.
    Enum: same as `orderStatus` (4 values)

  - `orders.customerOrderReference` (string)
    Your reference you specified when creating the order
    Example: "123456"

  - `orders.createdDate` (string)
    The date the order was created, in YYYY-MM-DD format.
    Example: "2024-09-24"

  - `orders.phoneNumberQuantity` (number)
    The number of phone numbers in the order, a helper property for you, this can also be done by and counting on the numbers collection

  - `orders.focQuantity` (number)
    The number of phone numbers that are confirmed, a helper property for you, this can also be done by and counting on the numbers collection and  filtering on status CONFIRMED

  - `orders.activatedQuantity` (number)
    The number of phone numbers that are activated, The number of phone numbers that are confirmed, a helper property for you, this can also be done by and counting on the numbers collection and  filtering on status COMPLETE

  - `orders.rejectedQuantity` (number)
    The number of phone numbers that are rejected, This can be done by counting on the phoneNumbers collection and  filtering on status REJECTED

  - `orders.excludedQuantity` (number)
    The number of phone numbers that are activated, The number of phone numbers that are confirmed, a helper property for you, this can also be done by and counting on the numbers collection and filtering on status EXCLUDED

  - `page` (integer)
    Current page.

  - `totalPages` (integer)
    Total number of pages.

  - `pageSize` (integer)
    Number of items per page.

  - `totalItems` (integer)
    Total size of the result.


